<!DOCTYPE html>
<html>

<head>
  <title> Bootstrap template- Pizza 365 project </title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onLoadDingPage()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item"> <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" id="btn-order-detail" onclick="onNavOrderDetailClick()"> Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365 Truly italian !
              </b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">What We Offer</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-white border">
                <h3 class="p-2">Design</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-light border">
                <h3 class="p-2">Branding</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-secondary text-white border">
                <h3 class="p-2">Consultation</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-dark text-white border">
                <h3 class="p-2">Promises</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S(Small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 20cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 2</li>
                      <li class="list-group-item"><b>Salad:</b> 200 g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 2</li>
                      <li class="list-group-item">
                        <h1><b>VND: </b></h1> 150.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-small" onclick="onBtnSmallMenu()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M(Medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 25cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 4</li>
                      <li class="list-group-item"><b>Salad:</b> 300 g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 3</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1> 200.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-medium" onclick="onBtnMediumMenu()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L(Large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 30cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 8</li>
                      <li class="list-group-item"><b>Salad:</b> 500 g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 4</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1> 250.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button onclick="onBtnLargeMenu()" id="btn-plan-large" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Jane Doe</h3>
                    <p>CEO & Founder</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-plan-hawai" onclick="onBtnPizzaHawai()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Mike Ross</h3>
                    <p>Art Director</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-plan-haisan" onclick="onBtnPizzaHaiSan()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>John Doe</h3>
                    <p>Designer</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-plan-bacon" onclick="onBtnPizzaBaCon()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2>Chọn đồ uống</h2>
          </div>
          <div class="col-sm-12">
            <select id="select-drinks" class="form-control">
              <option>Chọn đồ uống</option>

            </select>
          </div>
          <br>
          <br>
          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher" placeholder="mã giảm giá">
                </div>
                <button onclick="onBtnSendOrder()" type="button" class="btn btn-dark w-100">Send (Gửi đơn)</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="div-container-subject" class="container bg-info" style="display: none;">
    <div id="div-subject-infor" class="text-white p-3">...</div>
    <button type="button" onclick="onBtnOrderDetail()" class="btn btn-success w-100">Xác nhận</button>
  </div>
  <div id="div-container-order" class="jumbotron bg-secondary" style="display: none;">
    <div id="div-subject-order" class="text-center p-1">.</div>
  </div>
  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  const gBASE_URL_Drinks = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  //
  const gSmall = "Small";
  const gMedium = "Medium";
  const gLarge = "Large";
  //
  const gPizzaHawai = "Hawai";
  const gPizzaHaiSan = "Hải sản";
  const gPizzaBaCon = "Thịt xông khói";

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  // Hàm sự kiện onLoadDing
  function onLoadDingPage() {
    var vXhttp = new XMLHttpRequest();
    callAPILoadDingPage(vXhttp);
    vXhttp.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
        showDataSelectDrinks(vXhttp);
      }
    };
  }
  // hàm sự kiện Send Order Data Pizza 365
  function onBtnSendOrder() {
    var vObjOrder =
    {
      menuDuocChon: null,
      pizzaDuocChon: null,
      hoVaTen: "",
      email: "",
      dienThoai: "",
      diaChi: "",
      loiNhan: "",
      maVoucher: "",
      phanTramGiamGia: null,
      donGia: 0,
      tenNuocUong: null,
      //
      priceAnnualVND() {
        var vDiscount = ((this.menuDuocChon.priceVND + this.donGia) * this.phanTramGiamGia) / 100;
        return (this.menuDuocChon.priceVND + this.donGia) - vDiscount;
      }
    }
    //
    var vXmlHttp = new XMLHttpRequest();
    var vXhttp = new XMLHttpRequest();
    thuThapDuLieu(vObjOrder);
    checkDuLieuPizza(vObjOrder);
    var vDuLieuHopLe = kiemTraDuLieu(vObjOrder);
    if (vDuLieuHopLe) {
      callAPIVoucher(vObjOrder, vXmlHttp);
      callAPIDrinks(vObjOrder, vXhttp);
      hienThiDonHang(vObjOrder);
    }
  }
  // hàm sự kiện gửi mã tạo đơn 
  function onBtnOrderDetail() {
    var vOrderObj =
    {
      kichCo: "",
      duongKinh: "",
      suon: "",
      salad: "",
      loaiPizza: "",
      idVourcher: "",
      idLoaiNuocUong: "",
      soLuongNuoc: "",
      hoTen: "",
      thanhTien: "",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: "",
    }
   
    var vXmlHttpCreateOrder = new XMLHttpRequest();
      callAPICreateOrder(vOrderObj, vXmlHttpCreateOrder);
      vXmlHttpCreateOrder.onreadystatechange = function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
          showDataOrder(vXmlHttpCreateOrder);
        }
      }
    }
  //
  function onNavOrderDetailClick() {
    console.log("%cGọi chi tiết order ở đây", "color:blue");
    var vButtonDetail = document.getElementById("btn-order-detail");
    var vSetOrder = vButtonDetail.dataset.ordercode;
    var vSetId = vButtonDetail.dataset.id;
    console.log("Mã đơn hàng là : " + vSetOrder);
    console.log("Mã Id đơn hàng là : " + vSetId);
    const vDETAIL_VIEW = "viewOrder.html";
    var vUrlOpen = vDETAIL_VIEW + "?" + "id=" + vSetId + "ordercode=" + vSetOrder;
    window.location.href = vUrlOpen;


  }
  // các sự kiện Obj menu
  function onBtnSmallMenu() {
    changeColorButtonMenu(gSmall);
    var vGetObj = oBjPlanMenu(gSmall, "20cm", 2, "200 gam", 2, "VND: 150.000");
    vGetObj.displayInConsole();
  }
  //
  function onBtnMediumMenu() {
    changeColorButtonMenu(gMedium);
    var vGetObj = oBjPlanMenu(gMedium, "25 cm", 4, "300 gam", 3, "VND: 200.000");
    vGetObj.displayInConsole();
  }
  //
  function onBtnLargeMenu() {
    changeColorButtonMenu(gLarge);
    var vGetObj = oBjPlanMenu(gLarge, "30cm", 8, "500 gam", 4, "VND: 250.000");
    vGetObj.displayInConsole();
  }
  // các sự kiện Chọn loại Pizza
  function onBtnPizzaHawai() {
    changeColorButtonPizza(gPizzaHawai);
    var vGetObj = oBjPlanPizza(gPizzaHawai);
    vGetObj.displayConsolePizza();
  }
  //
  function onBtnPizzaHaiSan() {
    changeColorButtonPizza(gPizzaHaiSan);
    var vGetObj = oBjPlanPizza(gPizzaHaiSan);
    vGetObj.displayConsolePizza();
  }
  //
  function onBtnPizzaBaCon() {
    changeColorButtonPizza(gPizzaBaCon);
    var vGetObj = oBjPlanPizza(gPizzaBaCon);
    vGetObj.displayConsolePizza();
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // xử lý đối tượng Menu 
  function oBjPlanMenu(paramMenu, paramDuongKinh, paramSuonNuong, paramSalad, paramDrink, paramPriceVnd) {
    var vObjMenu =
    {
      menuName: paramMenu,
      duongKinhCM: paramDuongKinh,
      suongNuong: paramSuonNuong,
      saladGr: paramSalad,
      drink: paramDrink,
      priceVND: paramPriceVnd,
      // ghi vObjMenu ra console log
      displayInConsole: function () {
        console.log("%c ComBo of Menu :", " color :blues ");
        console.log("Menu : " + this.menuName);
        console.log("Đường Kính : " + this.duongKinhCM);
        console.log("Sườn Nướng : " + this.suongNuong);
        console.log("Salad : " + this.saladGr);
        console.log("Nước ngọt : " + this.drink);
        console.log("Hoá đơn phải trả : " + this.priceVND);
      }
    }
    return vObjMenu; //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }
  //
  function changeColorButtonMenu(paramPlan) {
    var vBtnSmall = document.getElementById("btn-plan-small");
    var vBtnMedium = document.getElementById("btn-plan-medium");
    var vBtnLarge = document.getElementById("btn-plan-large");
    // điều kiện nút CHỌN đổi màu
    if (paramPlan === gSmall) {
      vBtnSmall.className = "btn btn-warning";
      vBtnSmall.setAttribute("data-is-selected-menu", "Y");

      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");

    }
    else if (paramPlan === gMedium) {
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu", "N");

      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    }
    else if (paramPlan === gLarge) {
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu", "N");

      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");

      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }
  // Vùng sự kiện của Chọn Loại Pizza 
  function oBjPlanPizza(paramPizza) {
    var vObjPizza =
    {
      loaiPizza: paramPizza,
      //
      displayConsolePizza() {
        console.log("Loại Pizza được chọn : " + this.loaiPizza);
      }
    };
    return vObjPizza;
  }
  //
  function changeColorButtonPizza(paramPizza) {
    var vBtnPizaaHawai = document.getElementById("btn-plan-hawai");
    var vBtnPizaaHaiSan = document.getElementById("btn-plan-haisan");
    var vBtnPizaaBaCon = document.getElementById("btn-plan-bacon");
    if (paramPizza === gPizzaHawai) {
      vBtnPizaaHawai.className = "btn btn-warning w-100";
      vBtnPizaaHawai.setAttribute("data-is-selected-pizza", "Y");
      vBtnPizaaHaiSan.className = "btn btn-info w-100";
      vBtnPizaaHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnPizaaBaCon.className = "btn btn-info w-100";
      vBtnPizaaBaCon.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramPizza === gPizzaHaiSan) {
      vBtnPizaaHawai.className = "btn btn-info w-100";
      vBtnPizaaHawai.setAttribute("data-is-selected-pizza", "N");
      vBtnPizaaHaiSan.className = "btn btn-warning w-100";
      vBtnPizaaHaiSan.setAttribute("data-is-selected-pizza", "Y");
      vBtnPizaaBaCon.className = "btn btn-info w-100";
      vBtnPizaaBaCon.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramPizza === gPizzaBaCon) {
      vBtnPizaaHawai.className = "btn btn-info w-100";
      vBtnPizaaHawai.setAttribute("data-is-selected-pizza", "N");
      vBtnPizaaHaiSan.className = "btn btn-info w-100";
      vBtnPizaaHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnPizaaBaCon.className = "btn btn-warning w-100";
      vBtnPizaaBaCon.setAttribute("data-is-selected-pizza", "Y");
    }
  }
  // vùng sự kiện onLoadDing 
  // hàm gọi API Nước uông
  function callAPILoadDingPage(paramXmlHttp) {
    paramXmlHttp.open("GET", gBASE_URL_Drinks, true);
    paramXmlHttp.send();
  }
  // hàm hiện thị nước uống trong options
  // hàm gọi API mã tạo đơn hàng
  function callAPICreateOrder(paramDonHang, paramXmlHttp) {
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    paramXmlHttp.open("POST", vBASE_URL, true);
    paramXmlHttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramXmlHttp.send(JSON.stringify(paramDonHang));
  }
  //
  function showDataSelectDrinks(paramXmlHttp) {
    var vPerson = JSON.parse(paramXmlHttp.responseText);
    var vSelect = document.getElementById("select-drinks");
    for (var bI = 0; bI < vPerson.length; bI++) {
      var vOptions = document.createElement("option");
      vOptions.value = vPerson[bI].maUongNuoc;
      vOptions.text = vPerson[bI].tenNuocUong;
      vSelect.appendChild(vOptions);
    }
  }
  // vùng xử lý sự kiện Send Order Data Pizza
  function thuThapDuLieu(paramDonHang) {
    var vFullName = document.getElementById("inp-fullname");
    paramDonHang.hoVaTen = vFullName.value
    //
    var vEmail = document.getElementById("inp-email");
    paramDonHang.email = vEmail.value;
    // 
    var vPhone = document.getElementById("inp-dien-thoai");
    paramDonHang.dienThoai = vPhone.value;
    // 
    var vAddress = document.getElementById("inp-dia-chi");
    paramDonHang.diachi = vAddress.value;
    //
    var vLoiNhan = document.getElementById("inp-message");
    paramDonHang.loinhan = vLoiNhan.value;
    //
    var vMaGiamGia = document.getElementById("inp-voucher");
    paramDonHang.maVoucher = vMaGiamGia.value;
    //
    var vSelectDrinks = document.getElementById("select-drinks");
    paramDonHang.maUongNuoc = vSelectDrinks.options[vSelectDrinks.selectedIndex].value;
    paramDonHang.tenNuocUong = vSelectDrinks.options[vSelectDrinks.selectedIndex].text;
    // tạo biến cho OBJ chọn pizza
    var vBtnSmall = document.getElementById("btn-plan-small");
    var vBtnMedium = document.getElementById("btn-plan-medium");
    var vBtnLarge = document.getElementById("btn-plan-large");
    var vSelectBtn = null;
    //
    var vMenuSmall = vBtnSmall.getAttribute("data-is-selected-menu");
    var vMenuMedium = vBtnMedium.getAttribute("data-is-selected-menu");
    var vMenuLarge = vBtnLarge.getAttribute("data-is-selected-menu");
    if (vMenuSmall === "Y") {
      vSelectBtn = oBjPlanMenu(gSmall, "20cm", 2, "200 g", 2, 150000);
      paramDonHang.menuDuocChon = vSelectBtn;
    }
    else if (vMenuMedium === "Y") {
      vSelectBtn = oBjPlanMenu(gMedium, "25 cm", 4, "300 g", 3, 200000);
      paramDonHang.menuDuocChon = vSelectBtn;
    }
    else if (vMenuLarge === "Y") {
      vSelectBtn = oBjPlanMenu(gLarge, "30cm", 8, "500 g", 4, 250000);
      paramDonHang.menuDuocChon = vSelectBtn;
    }
  }
  // 
  function checkDuLieuPizza(paramDonHang) {
    var vBtnPizaaHawai = document.getElementById("btn-plan-hawai");
    var vBtnPizaaHaiSan = document.getElementById("btn-plan-haisan");
    var vBtnPizaaBaCon = document.getElementById("btn-plan-bacon");
    var vSelectPizza = null;
    //
    var vPizzaHaiwai = vBtnPizaaHawai.getAttribute("data-is-selected-pizza");
    var vPizzaHaiSan = vBtnPizaaHaiSan.getAttribute("data-is-selected-pizza");
    var vPizzaBacon = vBtnPizaaBaCon.getAttribute("data-is-selected-pizza");
    if (vPizzaHaiwai === "Y") {
      vSelectPizza = oBjPlanPizza(gPizzaHawai);
      paramDonHang.pizzaDuocChon = vSelectPizza;

    }
    else if (vPizzaHaiSan === "Y") {
      vSelectPizza = oBjPlanPizza(gPizzaHaiSan);
      paramDonHang.pizzaDuocChon = vSelectPizza;

    }
    else if (vPizzaBacon === "Y") {
      vSelectPizza = oBjPlanPizza(gPizzaBaCon);
      paramDonHang.pizzaDuocChon = vSelectPizza;

    }
  }
  // 
  function kiemTraDuLieu(paramDonHang) {
    if (paramDonHang.hoVaTen == null) {
      alert("Bạn chưa nhập Họ tên ");
      return false;
    }
    if (checkEmail(paramDonHang.email) == false) {
      alert("Bạn chưa nhập đúng Email ");
      return false;
    }
    if (checkSoDienThoai(paramDonHang.dienThoai) == "") {
      alert("Bạn chưa nhập đúng Số điện thoại ");
      return false;
    }
    if (paramDonHang.menuDuocChon == null) {
      alert("Bạn chưa chọn Menu pizza");
      return false;
    }

    return true;
  }
  //
  function checkEmail(paramEmail) {
    var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (!filter.test(paramEmail)) {
      alert('Hay nhap dia chi email hop le.\nExample@gmail.com');
      email.focus;
      return false;
    }
    else {

      return true;
    }
  }
  //
  function checkSoDienThoai() {
    $(document).ready(function () {
      $('body').on('click', '.checkmobile', function () {
        var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
        var mobile = $('#mobile').val();
        if (mobile !== '') {
          if (vnf_regex.test(mobile) == false) {
            alert('Số điện thoại của bạn không đúng định dạng!');
          } else {
            alert('Số điện thoại của bạn hợp lệ!');
          }
        } else {
          alert('Bạn chưa điền số điện thoại!');
        }
      });
    });
  }
  // hiện thị đơn hàng vào console
  function hienThiDonHang(paramDonHang) {
    console.log("%c Thông tin đơn hàng", "color:red");
    console.log(paramDonHang);
    console.log(paramDonHang.donGia);
    var vDivCoinTer = document.getElementById("div-container-subject");
    var vDivSub = document.getElementById("div-subject-infor");
    var vDivTainer = document.getElementById("div-container-order");
    paramDonHang.menuDuocChon.displayInConsole();
    paramDonHang.pizzaDuocChon.displayConsolePizza();
    vDivTainer.style.display = "none";
    vDivCoinTer.style.display = "block";
    vDivSub.innerHTML =
      "Họ và tên : " + paramDonHang.hoVaTen + "<br>" +
      "Email : " + paramDonHang.email + "<br>" +
      "Điện thoại : " + paramDonHang.dienThoai + "<br>" +
      "Địa chỉ : " + paramDonHang.diachi + "<br>" +
      "Lời nhắn : " + paramDonHang.loinhan + "<br>" +
      "Mã giảm giá : " + paramDonHang.maVoucher + "<br>" +
      "<hr>" +
      "Kích cỡ : " + paramDonHang.menuDuocChon.menuName + "<br>" +
      "Đường kính : " + paramDonHang.menuDuocChon.duongKinhCM + "<br>" +
      "Sườn nướng : " + paramDonHang.menuDuocChon.suongNuong + "<br>" +
      "Salad : " + paramDonHang.menuDuocChon.saladGr + "<br>" +
      "Nước ngọt : " + paramDonHang.menuDuocChon.drink + "<br>" +
      "Loại nước uống : " + paramDonHang.tenNuocUong + "<br>" +
      "Giá nước uống : " + paramDonHang.donGia + "<br>" +
      "Giá Menu VND  : " + paramDonHang.menuDuocChon.priceVND +
      "<hr>" +
      "Loại : " + paramDonHang.pizzaDuocChon.loaiPizza + "<br>" +
      "Discount : " + paramDonHang.phanTramGiamGia + "<br>" +
      "Tổng tiền thanh toán : " + paramDonHang.priceAnnualVND();
  }
  // xử lý hiện thị tạo đơn hàng
  function showDataOrder(paramXmlHttp) {
    var vPerson = JSON.parse(paramXmlHttp.responseText);
    var vDivTainer = document.getElementById("div-container-order");
    var vDivOrder = document.getElementById("div-subject-order");
    // ẩn tt đơn hàng gửi lại mã đơn hàng
    var vDivCoinTer = document.getElementById("div-container-subject");
    var vDivSub = document.getElementById("div-subject-infor");
    vDivCoinTer.style.display = "none";
    //
    var vButtonDetail = document.getElementById("btn-order-detail");
    var vOrderCode = vPerson.orderCode;
    var vId = vPerson.id;
    vButtonDetail.setAttribute("data-ordercode", vOrderCode);
    vButtonDetail.setAttribute("data-id", vId);
    vDivTainer.style.display = "block";
    vDivOrder.innerHTML = "Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:" + "<br>"
      + "Mã đơn hàng : " + vOrderCode;
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  // vùng sự kiện các API cho đơn hàng
  function callAPIVoucher(paramDonHang, paramXmlHttp) {
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";
    paramXmlHttp.open("GET", vBASE_URL + "/" + paramDonHang.maVoucher, false);
    paramXmlHttp.send();
    //
    if (paramXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
      // nhận lại response dạng JSON ở xmlHttp.responseText và chuyển thành object
      var vPerson = JSON.parse(paramXmlHttp.responseText);
      paramDonHang.phanTramGiamGia = vPerson.phanTramGiamGia;

    }
    else {
      // không nhận lại được data do vấn đề gì đó: khả năng mã voucher không dúng
      console.log("Không tìm thấy voucher " + paramDonHang.maVoucher);
    }
  }
  // vùng sự kiện API nước uống
  function callAPIDrinks(paramDonHang, paramXmlHttp) {

    paramXmlHttp.open("GET", gBASE_URL_Drinks, false);
    paramXmlHttp.send();

    if (paramXmlHttp.status == gREQUEST_STATUS_OK) {        //ghi response text ra console.log
      var vPerson = JSON.parse(paramXmlHttp.responseText);
      for (var bI = 0; bI < vPerson.length; bI++) {
        if (paramDonHang.tenNuocUong == vPerson[bI].tenNuocUong) {
          paramDonHang.donGia = vPerson[bI].donGia;
          console.log(vPerson[bI].donGia);
        }
      }
    }
  }


</script>

</html>